libetonyek::IWORKTokenizer Class Referenceabstract

`#include <IWORKTokenizer.h>`

Inheritance diagram for libetonyek::IWORKTokenizer:

## Public Member Functions
virtual | ~IWORKTokenizer ()=0
virtual int | getId (const char *name) const =0
virtual int | getQualifiedId (const char *name, const char *ns) const =0

## Protected Member Functions
| IWORKTokenizer ()

## Private Member Functions
| IWORKTokenizer (const IWORKTokenizer &)
IWORKTokenizer & | operator= (const IWORKTokenizer &)

## Constructor & Destructor Documentation

## ◆ IWORKTokenizer() [1/2]

libetonyek::IWORKTokenizer::IWORKTokenizer | ( | const IWORKTokenizer & |  | ) |
| private

Referenced by libetonyek::IWORKChainedTokenizer::IWORKChainedTokenizer(), IWORKTokenizer(), and operator=().

## ◆ ~IWORKTokenizer()

libetonyek::IWORKTokenizer::~IWORKTokenizer | ( |  | ) |
| pure virtual

## ◆ IWORKTokenizer() [2/2]

libetonyek::IWORKTokenizer::IWORKTokenizer | ( |  | ) |
| protected

## Member Function Documentation

## ◆ getId()

virtual int libetonyek::IWORKTokenizer::getId | ( | const char * | name | ) | const
| pure virtual

Implemented in libetonyek::IWORKChainedTokenizer, and libetonyek::IWORKTokenizerBase.

Referenced by libetonyek::IWORKCoreImageFilterDescriptorElement::attribute(), and libetonyek::try_bool_cast().

## ◆ getQualifiedId()

virtual int libetonyek::IWORKTokenizer::getQualifiedId | ( | const char * | name,
|  | const char * | ns ) const
| pure virtual

Implemented in libetonyek::IWORKChainedTokenizer, and libetonyek::IWORKTokenizerBase.

Referenced by libetonyek::IWORKParser::parse().

## ◆ operator=()

IWORKTokenizer & libetonyek::IWORKTokenizer::operator= | ( | const IWORKTokenizer & |  | ) |
| private

The documentation for this class was generated from the following files:

- IWORKTokenizer.h
- IWORKTokenizer.cpp